Foxit PDF RDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
TextPageCharInfo Class Reference
Inheritance diagram for TextPageCharInfo:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (font, flag, font_size, origin_x, origin_y, char_box, char_outbox, matrix)
| Constructor, with parameters. More...
| Set (font, flag, font_size, origin_x, origin_y, char_box, char_outbox, matrix)
| Set value. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| char_box
| The glyph bounding box in page space.
| char_outbox
| The typographic(display and printing) bounding box in page space.
| flag
| Flags to indicate which properties of textpage character flag are meaningful. More...
| font
| A font for character.
| font_size
| Font size for character. More...
| matrix
| The matrix of the character.
| origin_x
| The x-coordinate of the origin position.
| origin_y
| The y-coordinate of the origin position.

## Static Public Attributes
static | e_ComboWord
| Character flag: ComboWord.
static | e_Generated
| Character flag: Generated.
static | e_Hyphen
| Character flag: Hyphen.
static | e_Normal
| Character flag: Normal.
static | e_Unknown
| Enumeration for PDF textpage character flag. More...
static | e_UnUnicode
| Character flag: UnUnicode.

## Detailed Description

This class represents textpage character information.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

TextPageCharInfo.constructor | ( | font | ,
|  | flag | ,
|  | font_size | ,
|  | origin_x | ,
|  | origin_y | ,
|  | char_box | ,
|  | char_outbox | ,
|  | matrix |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | font | A valid font object.
  [in] | flag | Flags to indicate which properties of textpage character flag are meaningful. Please refer to values starting from TextPageCharInfo.e_Normal and this should be one of these values except TextPageCharInfo.e_Unknown.
  [in] | font_size | Font size. This should be a positive value.
  [in] | origin_x | The x-coordinate of the origin position.
  [in] | origin_y | The y-coordinate of the origin position.
  [in] | char_box | The glyph bounding box in page space.
  [in] | char_outbox | The typographic (display and printing) bounding box in page space. The width is advance width, and the height is the sum of the ascent and descent.
  [in] | matrix | The matrix.

## ◆ Set()

TextPageCharInfo.Set | ( | font | ,
|  | flag | ,
|  | font_size | ,
|  | origin_x | ,
|  | origin_y | ,
|  | char_box | ,
|  | char_outbox | ,
|  | matrix |
| ) |  |

Set value.

Parameters

  [in] | font | A valid font object.
  [in] | flag | Flags to indicate which properties of textpage character flag are meaningful. Please refer to values starting from TextPageCharInfo.e_Normal and this should be one of these values except TextPageCharInfo.e_Unknown.
  [in] | font_size | Font size. This should be a positive value.
  [in] | origin_x | The x-coordinate of the origin position.
  [in] | origin_y | The y-coordinate of the origin position.
  [in] | char_box | The glyph bounding box in page space.
  [in] | char_outbox | The typographic (display and printing) bounding box in page space. The width is advance width, and the height is the sum of the ascent and descent.
  [in] | matrix | The matrix.

Returns
  None.

## Member Data Documentation

## ◆ e_Unknown

TextPageCharInfo.e_Unknown
| static

Enumeration for PDF textpage character flag.

Values of this enumeration should be used alone.

Character flag: Unknown.

## ◆ flag

TextPageCharInfo.flag

Flags to indicate which properties of textpage character flag are meaningful.

Please refer to values starting from TextPageCharInfo.e_Normal and this should be one of these values.

## ◆ font_size

TextPageCharInfo.font_size

Font size for character.

This value would a positive value.